import { combineMediaQueriesWithAnd } from '../combineMediaQueries';

describe('Utils/Styles', () => {
    describe('combineMediaQueriesWithAnd', () => {
        const mediaQueries = ['@media (min-width: 600px)', '@media (max-width: 800px)'];

        it('creates the correct media query from one input', () => {
            expect(combineMediaQueriesWithAnd(mediaQueries[0])).toBe('@media (min-width: 600px)');
        });
        it('creates the correct media query from multiple inputs', () => {
            expect(combineMediaQueriesWithAnd(mediaQueries[0], mediaQueries[1])).toBe(
                '@media (min-width: 600px) and (max-width: 800px)'
            );
        });
    });
});
